# GRAPHVIZ FILTER

## CONTENTS

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * FAQ
 * Maintainers

## INTRODUCTION

Custom filter to convert [graphviz](https://www.graphviz.org/) code.
Treats input text as DOT syntax and passes it to dot, neato or other,
embedding the output into the page.

## REQUIREMENTS

This module requires no modules outside of Drupal core.

## INSTALLATION

 * Install the Graphviz package for your operating system.
   E.g. Ubuntu/Debian:

       sudo apt install graphviz

 * Install this module as you would normally install a
   contributed Drupal module:

   To download the contributed module, along with its dependencies,
   enter the following command at the root of your site:

       composer require drupal/graphviz_filter

   Visit https://www.drupal.org/node/1897420 for further information.

## CONFIGURATION

 * Enable the 'Graphviz (DOT) syntax' filter on a text format in
   Configuration » Content authoring » Text formats and editors.

 * Insert graphviz code into a text field that uses the
   before mentioned text format. Wrap the graphviz code
   within an opening tag [graphviz] and a closing tag [/graphviz] e.g.:

        [graphviz]
        digraph {
            a -> b;
            b -> c;
            c -> d;
            d -> a;
        }
        [/graphviz]

## FAQ

Q: Is PEAR::Image_GraphViz still required?

A: Contrary to earlier versions of the module, the graphiv filter
   main module uses Image_GraphViz. But if you install the module
   with composer, the corresponding composer package
   alecsammon/php-graphviz is installed automatically.

   If it is not installed automatically, run:

        composer require alecsammon/php-graphviz

Q: Where are the sub modules from earlier versions?

A: The 3 sub modules from earlier versions of this module
   (Content Schema, Workflow Graph, Taxonomy Graph) have not been
   ported (yet).

## MAINTAINERS

Current maintainers:
 * Richard Papp (boromino) - https://www.drupal.org/user/859722

This project has been sponsored by:
 * LakeDrops
   Drupal consulting, development & hosting. Visit https://www.lakedrops.com/ for more information.

